Method: parsers.fetchParserCandidates

Full name: projects.locations.instances.logTypes.parsers.fetchParserCandidates

parsers.fetchParserCandidates fetches the parser candidates for a given log type.

HTTP request


GET https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{name}/parsers:fetchParserCandidates

Path parameters

Parameters
name

string

Required. The name, which owns this collection of parsers. Format: projects/{project}/locations/{region}/instances/{instance}/logTypes/{logType}/parsers/{parser}

Query parameters

Parameters
parserAction

enum (ParserAction)

Required. Customer action for which the customer needs candidates.

Request body

The request body must be empty.

Response body

Response message for parsers.fetchParserCandidates.

If successful, the response body contains data with the following structure:

JSON representation
{
  "candidates": [
    {
      object (Parser)
    }
  ]
}
Fields
candidates[]

object (Parser)

Output only. The candidates to which customer can move to.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.parsers.list

For more information, see the IAM documentation.

ParserAction

ParserAction represents the action that the customer can take on a parser.

Enums
PARSER_ACTION_UNSPECIFIED The action is not specified.
PARSER_ACTION_UPGRADE The action is to upgrade the parser.
PARSER_ACTION_ROLLBACK The action is to rollback the parser.
PARSER_ACTION_OPT_IN_TO_PREVIEW The action is to opt in to preview.
PARSER_ACTION_OPT_OUT_OF_PREVIEW The action is to opt out of preview. This action is only valid for parsers which have been opted into preview.